"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const hoistNonReactStatic = require('hoist-non-react-statics');
const context_1 = require("./context");
exports.withJgqlManual = (WrappedComponent) => {
    const JgqlEnhancedComponent = (props) => (React.createElement(context_1.Consumer, null, sendRequest => React.createElement(WrappedComponent, Object.assign({}, props, { sendRequest: sendRequest }))));
    hoistNonReactStatic(JgqlEnhancedComponent, WrappedComponent);
    return JgqlEnhancedComponent;
};
